public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/docker-compose/
Date: Sat, 31 Mar 2018 22:24:19 +0000 (UTC)	[thread overview]
Message-ID: <1522535028.2ea0d6a6b0414c7df16076f732650ce4dbb59fa8.mrueg@gentoo> (raw)

commit:     2ea0d6a6b0414c7df16076f732650ce4dbb59fa8
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 31 22:23:48 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Mar 31 22:23:48 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ea0d6a6

app-emulation/docker-compose: Version bump to 1.20.1

Closes: https://bugs.gentoo.org/651090
Package-Manager: Portage-2.3.27, Repoman-2.3.9

 app-emulation/docker-compose/Manifest              |  1 +
 .../docker-compose/docker-compose-1.20.1.ebuild    | 71 ++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/app-emulation/docker-compose/Manifest b/app-emulation/docker-compose/Manifest
index 494ca318046..aa474faccb0 100644
--- a/app-emulation/docker-compose/Manifest
+++ b/app-emulation/docker-compose/Manifest
@@ -1,2 +1,3 @@
 DIST docker-compose-1.18.0.tar.gz 231256 BLAKE2B be9b57dd89a81734b850f61622a924a3ace5ace907c4d1365a18315ddfbe3f1a9a56b222766980d16d5eddbe6818caf94a5833c5cddac082fa230bf290977ee3 SHA512 9cf29d892f6419e9ef639e1b9edddecb47ddb5ba7f97830f732e463ee510ac5464d6d81f58a2bf4ae5e7aee78b3d2d4afd59e6e1b53974899edb3e090bcb991f
 DIST docker-compose-1.19.0.tar.gz 238307 BLAKE2B 2a7bbcf50c2cc591eba1d59db30cb0341e33e3f1ebe948e0b6762d9bffcdcc72d98e2da19fc549c5fabda192fca69a9d54e016601ddb4f4a94f0dc1c93f99a29 SHA512 f1d522621580a5130378508e6b15ad2e4708e9c5ff713627ca54308ab3e6bf000e21c55bbdf9585b2116e73648fdc773500a5415ab81a72dd2c69c9c07e71581
+DIST docker-compose-1.20.1.tar.gz 246159 BLAKE2B 32836f06239d6f1506ecebac48c8b56c58620d0ba309b8469c073ec3b048bf3743afb1ff6f63d2031df4bb316191d9cd32d5cf85a2cb86544254c6054a7dd502 SHA512 faba24ea501c4e4aaf04bddf1d498eaa7702385458ac7a41f6054e9153f9e03e1e6f50aebc5156d6a814d567aedea1d16ff532872a1765bbabbd3c8da47e36e0

diff --git a/app-emulation/docker-compose/docker-compose-1.20.1.ebuild b/app-emulation/docker-compose/docker-compose-1.20.1.ebuild
new file mode 100644
index 00000000000..9e085b82c01
--- /dev/null
+++ b/app-emulation/docker-compose/docker-compose-1.20.1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit bash-completion-r1 distutils-r1 vcs-snapshot
+
+MY_PV=${PV/_/}
+
+DESCRIPTION="Multi-container orchestration for Docker"
+HOMEPAGE="https://www.docker.com/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${PN}-${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+CDEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	>=dev-python/cached-property-1.2.0[${PYTHON_USEDEP}]
+	<dev-python/cached-property-2[${PYTHON_USEDEP}]
+	>=dev-python/dockerpty-0.4.1[${PYTHON_USEDEP}]
+	<dev-python/dockerpty-0.5[${PYTHON_USEDEP}]
+	>=dev-python/docker-py-3.1.4[${PYTHON_USEDEP}]
+	<dev-python/docker-py-4.0[${PYTHON_USEDEP}]
+	>=dev-python/docopt-0.6.1[${PYTHON_USEDEP}]
+	<dev-python/docopt-0.7[${PYTHON_USEDEP}]
+	>=dev-python/jsonschema-2.5.1[${PYTHON_USEDEP}]
+	<dev-python/jsonschema-3[${PYTHON_USEDEP}]
+	>=dev-python/PySocks-1.5.6[${PYTHON_USEDEP}]
+	!~dev-python/PySocks-1.5.7[${PYTHON_USEDEP}]
+	<dev-python/PySocks-2[${PYTHON_USEDEP}]
+	>=dev-python/pyyaml-3.10[${PYTHON_USEDEP}]
+	<dev-python/pyyaml-4[${PYTHON_USEDEP}]
+	!~dev-python/requests-2.11.0[${PYTHON_USEDEP}]
+	<dev-python/requests-2.19[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.6.1[${PYTHON_USEDEP}]
+	>=dev-python/six-1.3.0[${PYTHON_USEDEP}]
+	<dev-python/six-2[${PYTHON_USEDEP}]
+	>=dev-python/texttable-0.9[${PYTHON_USEDEP}]
+	<dev-python/texttable-0.10[${PYTHON_USEDEP}]
+	>=dev-python/websocket-client-0.32.0[${PYTHON_USEDEP}]
+	<dev-python/websocket-client-1.0[${PYTHON_USEDEP}]
+	$(python_gen_cond_dep '>=dev-python/enum34-1.0.4[${PYTHON_USEDEP}]' 'python2_7' )
+	$(python_gen_cond_dep '<dev-python/enum34-2[${PYTHON_USEDEP}]' 'python2_7' )
+	$(python_gen_cond_dep '>=dev-python/ipaddress-1.0.16[${PYTHON_USEDEP}]' 'python2_7' )
+	$(python_gen_cond_dep '>=dev-python/backports-ssl-match-hostname-3.5[${PYTHON_USEDEP}]' 'python2_7' )
+"
+DEPEND="
+	${CDEPEND}
+	test? (
+		dev-python/pytest[${PYTHON_USEDEP}]
+		$(python_gen_cond_dep '>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]' 'python2_7' )
+	)
+"
+RDEPEND="${CDEPEND}"
+
+python_test() {
+	${PYTHON} -m pytest tests/unit || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+	newbashcomp contrib/completion/bash/docker-compose ${PN}
+
+	insinto /usr/share/zsh/site-functions
+	doins contrib/completion/zsh/*
+
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2018-03-31 22:24 UTC|newest]

Thread overview: 125+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-03-31 22:24 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-11-11 21:22 [gentoo-commits] repo/gentoo:master commit in: app-emulation/docker-compose/ William Hubbs
2021-11-11  8:20 Michał Górny
2021-10-01 15:33 William Hubbs
2021-08-24 11:31 Louis Sautier
2021-08-22 23:01 Louis Sautier
2021-07-22  2:50 Sam James
2021-05-10 15:04 Sebastian Pipping
2021-04-14 20:08 Sebastian Pipping
2021-02-18  2:12 Sebastian Pipping
2021-01-27 20:01 Sebastian Pipping
2021-01-26 13:47 Sebastian Pipping
2021-01-25 16:51 Sebastian Pipping
2021-01-25 16:43 Sebastian Pipping
2021-01-20 20:33 Sebastian Pipping
2021-01-12 16:23 Sebastian Pipping
2020-12-03 16:51 Sebastian Pipping
2020-11-13  4:57 Sam James
2020-11-04  5:32 Sam James
2020-09-24 16:00 Sebastian Pipping
2020-09-18 11:01 Sebastian Pipping
2020-09-13 19:22 Louis Sautier
2020-09-10 17:34 Sebastian Pipping
2020-09-07 19:11 Sebastian Pipping
2020-09-05  0:29 Sam James
2020-08-21 21:43 Sebastian Pipping
2020-08-21 18:01 Sebastian Pipping
2020-07-17  7:21 Agostino Sarubbo
2020-04-10 14:07 Sebastian Pipping
2020-04-01 20:09 Sebastian Pipping
2020-03-20  8:59 Agostino Sarubbo
2020-02-29 22:43 Sebastian Pipping
2020-02-03 20:46 Michał Górny
2020-02-03 13:16 Sebastian Pipping
2020-01-25 15:13 Sebastian Pipping
2020-01-13 12:43 Sebastian Pipping
2019-07-07 14:22 Sebastian Pipping
2019-07-07 14:22 Sebastian Pipping
2019-06-24 18:03 Sebastian Pipping
2019-06-05  6:48 Agostino Sarubbo
2019-05-10 23:06 Sebastian Pipping
2019-05-10 22:27 Sebastian Pipping
2019-05-08 10:00 Mikle Kolyada
2019-03-12 18:58 Mikle Kolyada
2019-03-10  8:41 Mikle Kolyada
2019-03-10  8:31 Mikle Kolyada
2018-12-28  7:44 Mikle Kolyada
2018-12-21 16:00 Mikle Kolyada
2018-11-11  8:16 Mikle Kolyada
2018-11-09 19:56 Mikle Kolyada
2018-11-09 10:50 Manuel Rüger
2018-11-01 20:03 Sebastian Pipping
2018-09-24 16:00 Sebastian Pipping
2018-08-20 14:54 Manuel Rüger
2018-07-12 14:48 Manuel Rüger
2018-07-12 14:48 Manuel Rüger
2018-06-06 12:28 Manuel Rüger
2018-06-06 12:28 Manuel Rüger
2018-06-06 12:28 Manuel Rüger
2018-04-12 13:33 Manuel Rüger
2018-03-30 18:35 Aaron Bauman
2018-02-19 13:02 Manuel Rüger
2018-01-18 13:40 Manuel Rüger
2017-12-19 13:45 Manuel Rüger
2017-12-19 13:45 Manuel Rüger
2017-12-11 19:03 Manuel Rüger
2017-12-07 18:19 Manuel Rüger
2017-11-22 15:30 Manuel Rüger
2017-11-09 14:12 Manuel Rüger
2017-11-09 14:12 Manuel Rüger
2017-11-05 20:49 Manuel Rüger
2017-09-12 12:35 Manuel Rüger
2017-09-12 12:22 Manuel Rüger
2017-09-10 13:19 Manuel Rüger
2017-09-10 13:19 Manuel Rüger
2017-07-31 14:47 Manuel Rüger
2017-06-21 18:04 Manuel Rüger
2017-05-11 14:30 Manuel Rüger
2017-05-11 13:47 Manuel Rüger
2017-05-03 12:37 Manuel Rüger
2017-05-03 11:44 Manuel Rüger
2017-04-06 23:07 Manuel Rüger
2017-03-13 18:23 Manuel Rüger
2017-02-22 15:19 Manuel Rüger
2017-02-13 10:15 Manuel Rüger
2017-02-13 10:15 Manuel Rüger
2017-02-09 14:30 Manuel Rüger
2017-02-06 14:21 Manuel Rüger
2017-02-06 14:21 Manuel Rüger
2017-01-18 11:40 Manuel Rüger
2017-01-18 11:39 Manuel Rüger
2017-01-16 17:36 Manuel Rüger
2017-01-13 13:43 Manuel Rüger
2017-01-10 11:55 Manuel Rüger
2017-01-09 10:52 Manuel Rüger
2017-01-04 16:19 Manuel Rüger
2017-01-04 16:19 Manuel Rüger
2017-01-04 12:59 Manuel Rüger
2016-11-24 13:18 Manuel Rüger
2016-11-18 22:57 Manuel Rüger
2016-11-18 22:57 Manuel Rüger
2016-11-11 12:17 Manuel Rüger
2016-11-11 12:14 Manuel Rüger
2016-10-30 20:53 Alex Brandt
2016-10-30 20:53 Alex Brandt
2016-10-01 22:36 Alex Brandt
2016-10-01 22:36 Alex Brandt
2016-08-06 14:35 Alex Brandt
2016-08-06 14:35 Alex Brandt
2016-07-24  1:15 Alex Brandt
2016-07-24  1:15 Alex Brandt
2016-07-02 14:59 Alex Brandt
2016-07-02 14:59 Alex Brandt
2016-06-18 19:18 Alex Brandt
2016-06-18 19:18 Alex Brandt
2016-06-18 19:18 Alex Brandt
2016-04-15  9:53 Zac Medico
2016-04-03 14:51 Alex Brandt
2016-04-03 14:51 Alex Brandt
2016-03-20 21:38 Alex Brandt
2016-03-20 21:38 Alex Brandt
2015-12-11 16:48 Alex Brandt
2015-12-11 16:48 Alex Brandt
2015-11-25 14:42 Alex Brandt
2015-11-22 21:15 Alex Brandt

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1522535028.2ea0d6a6b0414c7df16076f732650ce4dbb59fa8.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox